Tegra TX1+pixhawk unable to get started


#1
Summary

This text will be hidden

Summary

This text will be hidden

HI,

I have recently created the account and activated it. i tried flashin your firmware onto the tegra tx1 and connecting it to the pixhawk.

HOWEVER MY LOCALHOST CONSOLE ONLY SHOWS UP LOGS AND NOTHING MORE. I DONT SEEM TO BE CONNECTED TO THE PIXHAWK . POSTING THE LOG MESSAGES FOR YOUR KIND PERUSAL

"Fri Feb 23 13:53:56 2018: Created new config file.

================== FlytOS Startup Log ================
Fri Feb 23 13:53:56 2018: Launching initial Log Server - you can check logs at http:///logs
Fri Feb 23 13:53:56 2018: Could not detect autopilot, proceeding with default ‘PX4’. refer docs.flytbase.com and make sure all dependencies are installed correctly
Fri Feb 23 13:53:56 2018: Checking internet availability…
Fri Feb 23 13:53:56 2018: Internet connection established
Fri Feb 23 13:53:56 2018: License file invalid. Please activate/reactivate your device by entering license key in flytconsole.
Fri Feb 23 13:53:56 2018: License activation is: False
Fri Feb 23 13:53:56 2018: Starting FlytOS(Restricted) - Needs Activation
Fri Feb 23 13:53:57 2018: Exiting Startup.License invalid!

================== FlytOS Startup Log ================
Fri Feb 23 14:05:21 2018: Launching initial Log Server - you can check logs at http:///logs
Fri Feb 23 14:05:21 2018: Could not detect autopilot, proceeding with default ‘PX4’. refer docs.flytbase.com and make sure all dependencies are installed correctly
Fri Feb 23 14:05:21 2018: Checking internet availability…
Fri Feb 23 14:05:21 2018: Couldn’t connect to internet: [Errno 101] Network is unreachable
Fri Feb 23 14:05:21 2018: Internet connection could not be established
Fri Feb 23 14:05:21 2018: License validity could not be confirmed on the server
Fri Feb 23 14:05:21 2018: License activation is: False
Fri Feb 23 14:05:21 2018: Starting FlytOS(Restricted) - Needs Activation
Fri Feb 23 14:05:22 2018: Exiting Startup.License invalid!

cheers
Raghav


#2

Hi @raghav,

Sorry that you are facing this issue.

It seems a few dependencies are not installed. How have you installed FlytOS?
It would be good if you install all the dependencies mentioned over here.